[SCM] Samba Shared Repository - branch master updated

Garming Sam garming at samba.org
Thu Aug 25 07:40:03 UTC 2016


The branch, master has been updated
       via  ce8c2ad selftest: skip client_etypes tests if tshark or sha1sum is not installed
      from  f41f4393 vfs_shadow_copy: handle non-existant files and wildcards

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit ce8c2adab79c611740fb6e1ee197219b3faf74a6
Author: Uri Simchoni <uri at samba.org>
Date:   Tue Aug 23 07:50:35 2016 +0300

    selftest: skip client_etypes tests if tshark or sha1sum is not installed
    
    That was the original plan - not to fail existing envs, but for subunit
    not to fail, it is not sufficient to just return 0 from the script.
    
    Signed-off-by: Uri Simchoni <uri at samba.org>
    Reviewed-by: Garming Sam <garming at catalyst.net.nz>
    
    Autobuild-User(master): Garming Sam <garming at samba.org>
    Autobuild-Date(master): Thu Aug 25 09:39:43 CEST 2016 on sn-devel-144

-----------------------------------------------------------------------

Summary of changes:
 testprogs/blackbox/test_client_etypes.sh | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)


Changeset truncated at 500 lines:

diff --git a/testprogs/blackbox/test_client_etypes.sh b/testprogs/blackbox/test_client_etypes.sh
index 3327517..f424b52 100755
--- a/testprogs/blackbox/test_client_etypes.sh
+++ b/testprogs/blackbox/test_client_etypes.sh
@@ -5,10 +5,6 @@ EOF
 exit 1;
 fi
 
-#requires tshark
-which tshark > /dev/null 2>&1 || exit 0
-which sha1sum > /dev/null 2>&1 || exit 0
-
 DC_SERVER=$1
 DC_USERNAME=$2
 DC_PASSWORD=$3
@@ -16,6 +12,18 @@ BASEDIR=$4
 ETYPE_CONF=$5
 EXPECTED_ETYPES="$6"
 
+# Load test functions
+. `dirname $0`/subunit.sh
+
+#requires tshark and sha1sum
+if ! which tshark > /dev/null 2>&1 || ! which sha1sum > /dev/null 2>&1 ; then
+    subunit_start_test "client encryption types"
+    subunit_skip_test "client encryption types" <<EOF
+Skipping tests - tshark or sha1sum not installed
+EOF
+    exit 0
+fi
+
 HOSTNAME=`dd if=/dev/urandom bs=1 count=32 2>/dev/null | sha1sum | cut -b 1-10`
 
 RUNDIR=`pwd`
@@ -33,9 +41,6 @@ failed=0
 net_tool="$BINDIR/net -s $BASEDIR/$WORKDIR/client.conf --option=security=ads --option=kerberosencryptiontypes=$ETYPE_CONF"
 pcap_file=$BASEDIR/$WORKDIR/test.pcap
 
-# Load test functions
-. `dirname $0`/subunit.sh
-
 export SOCKET_WRAPPER_PCAP_FILE=$pcap_file
 testit "join" $VALGRIND $net_tool ads join -kU$DC_USERNAME%$DC_PASSWORD || failed=`expr $failed + 1`
 


-- 
Samba Shared Repository



More information about the samba-cvs mailing list